petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscGetArchType

Returns a standardized architecture type for the machine that is executing this routine.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscGetArchType(char str[],size_t slen)

Not Collective Many br

### Input Parameter

slen -length of string buffer Many br

### Output Parameter

str -string area to contain architecture name, should be at least Many br10 characters long. Name is truncated if string is not long enough. Many br

Many br

### Fortran Version

In Fortran this routine has the format Many br

          character*(10) str

          call PetscGetArchType(str,ierr)

### See Also

PetscGetUserName(),PetscGetHostName()

Level:developer
Location:src/sys/utils/arch.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages